Skip to main content

Trigger a run

POST /api/automations/:id/run
Executes a deployed automation with the given inputs. Body:
{
  "inputs": { "query": "hello" },
  "wait": 10
}
FieldRequiredDescription
inputsYesDict of input values matching manifest input names
waitNoSeconds to wait for result inline (default 10, max 10). Set to 0 to return immediately.
curl -s -X POST "https://dashboard.floom.dev/api/automations/$ID/run" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"inputs": {"name": "Alice"}, "wait": 10}'
Response (completed within wait):
{
  "runId": "run_xyz789",
  "status": "success",
  "result": {
    "status": "success",
    "outputs": { "greeting": "Hello, Alice!" },
    "logs": "..."
  }
}
Response (still running):
{
  "runId": "run_xyz789",
  "status": "running"
}
If status is pending or running, poll with GET /api/runs/:runId.

Poll run status

GET /api/runs/:runId
Returns the current state of a run. Poll until status is success, error, or timeout.
curl -s "https://dashboard.floom.dev/api/runs/$RUN_ID" \
  -H "Authorization: Bearer $API_KEY"
Terminal statuses:
StatusMeaning
successRun completed, outputs available
errorRun failed, error field has details
timeoutRun exceeded time limit